/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.req.team;

import com.zayac.admin.req.MemberListReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * {"pageNum":1,"pageSize":10,"registerSort":-1,"drawSort":-1,"depositSort":-1,"lastLoginTimeSort":-1,"name":"","minPay":null,"maxPay":null,"startDate":"2024-05-01","registerStartDate":"","endDate":"2024-05-23","registerEndDate":"","firstPayStartTime":"","firstPayEndTime":"","topAgentName":"","isBet":"","status":-1,"isRest":false,"tagsIds":[],"tagsFlag":"1"}
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class TeamMemberReq extends MemberListReq {

    private String topAgentName;

}
